# Citizen_Science_Skarstein_master
All code and associated files for the master thesis of Emma Skarstein. 

- data: contains environmental covariates, list of freshwater fish in Norway, and object with all lake polygons for Norway. Species observations are stored in individual folders (not included here).
- figs: contains figures generated by the analysis
- R: contains all R code
- reports: contains RMarkdown files that document the anaysis or report on results.


## Overview of the most important scripts in the R-folder
- Data_preparation_functions: Functions for general preparation of the observations, such as matching to closest lake and filtering out relevant species.
- Download_lakefish_functions: Functions to download observations from GBIF.
- downloading_CS_observations: Script to actually download data from GBIF.
- full_model: Running and saving the final selected model.
- full_parallel_CV: The whole cross-validation procedure, run in parallel.
- loading_map_obs_covs: Loads the covariates, species observations and map of Norway to the workspace. I usually run this at the beginning of all model-fitting scripts.
- Model_fitting_functions: All functions needed to fit the model (and build stacks, construct formula).
- Model_visualization_functions: All functions needed to convert data or model output to a format that can be plotted with ggplot2.
- Preparing_datasets: Script that performs all data preparation (calls functions from Data_preparation_functions.R).
- Visualizing_data: Creating figures presenting the covariates and observations.
- Visualizing_results: Creating figures displaying results of final model.
- Visualizing_species_comparison: The same plots as in Visualizing_results.R, but for all four compared species.

